/*
    SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>

    SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
*/

#ifndef PRIVACYBROWSERPCWINDOW_H
#define PRIVACYBROWSERPCWINDOW_H

#include <KXmlGuiWindow>

#include "ui_settings.h"
#include "PrivacyBrowserPCSettings.h"

class PrivacyBrowserPCView;

/**
 * This class serves as the main window for privacybrowserpc.  It handles the
 * menus, toolbars and status bars.
 *
 * @short Main window class
 * @author %{AUTHOR} <%{EMAIL}>
 * @version %{VERSION}
 */
class PrivacyBrowserPCWindow : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    PrivacyBrowserPCWindow();

    /**
     * Default Destructor
     */
    ~PrivacyBrowserPCWindow() override;

private Q_SLOTS:
    /**
     * Create a new window
     */
    void fileNew();

    /**
     * Open the settings dialog
     */
    void settingsConfigure();

private:
    // this is the name of the root widget inside our Ui file
    // you can rename it in designer and then change it here
    Ui::Settings m_settings;
    QAction *m_switchAction;
    PrivacyBrowserPCView *m_privacybrowserpcView;
};

#endif // PRIVACYBROWSERPCWINDOW_H
